TEMPLATE = lib
CONFIG += plugin


### Build Mode stuff
CONFIG += debug_and_release

CONFIG(debug, debug|release) {
    TARGET = $$join(TARGET,,,d)
    DEFINES += _DIMG_DEBUG
    win32:PREFIX = C:\temp\dimg
    unix:PREFIX = /tmp/dimg
}

# Target directories
debug:DESTDIR = ../debug
release:DESTDIR = ../release

INCLUDEPATH += ../include

RC_FILE = DQnull.rc

# Generate install target
unix {
    isEmpty(PREFIX) {
        PREFIX = /opt/dimg
    }
}
win32 {
    isEmpty(PREFIX) {
        PREFIX = C:/dimg
    }
}

target.path = $$PREFIX/bin

INSTALLS += target

HEADERS += about.h
HEADERS += DQNull.h
SOURCES += about.cpp
SOURCES += DQNull.cpp
FORMS = about.ui
